#
# spec file for package mytop
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mytop
Version:        1.6
Release:        105.3
Summary:        A top Clone for MySQL
License:        GPL-2.0-or-later
URL:            https://jeremy.zawodny.com/mysql/mytop/
Source:         http://jeremy.zawodny.com/mysql/mytop/mytop-%{version}.tar.gz
# PATCH-FIX-UPSTREAM mytop_five_o.patch -- makes it work with mysql 5.0
Patch1:         mytop_five_o.patch
# PATCH-FIX-UPSTREAM mytop_option-and-doc.patch [bnc#716439] cwh@suse.de -- fixed starting failure and documentation
Patch2:         mytop_option-and-doc.patch
Requires:       perl = %{perl_version}
Requires:       perl-DBD-mysql
Requires:       perl-DBI
Requires:       perl-TermReadKey
BuildArch:      noarch
BuildRequires:  perl-macros

%description
mytop is a console-based (non-GUI) tool for monitoring the threads and
overall performance of MySQL 3.22.x, 3.23.x, and 4.x servers.

- With Term::ANSIColor installed you even get color.

- If you install Time::HiRes, get good real-time queries/second stats.

%prep
%autosetup -p1

%build
perl Makefile.PL
%make_build

%check
%make_build test

%install
make DESTDIR=%{buildroot} install_vendor
%perl_process_packlist

%files
%doc Changes
%{_mandir}/man?/mytop.1%{?ext_man}
%{_bindir}/mytop

%changelog
* Fri Feb 23 2024 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
- Do not use url for patch mytop_five_o.patch as its no longer
  accessible
* Thu Feb 22 2024 pgajdos@suse.com
- Use %%patch -P N instead of deprecated %%patchN.
* Tue Apr 21 2015 mpluskal@suse.com
- Use url for source
- Clean up spec file with spec-cleaner
* Mon Jul  9 2012 cwh@suse.com
- improved documentation of commandline parameters
- used spec-clean
* Wed Nov 16 2011 cwh@suse.com
- fixed bnc#716439
- moved to noarch
* Mon Jan 17 2011 mhrusecky@suse.cz
- fixed build for factory
* Fri Oct  2 2009 pascal.bleser@opensuse.org
- add patch by Eric Bergen for better MySQL 5.x support:
  http://ebergen.net/wordpress/2006/12/09/mytop-support-for-50/
* Mon Jul 23 2007 cwh@suse.de
- update to v1.6: Allows passwords that contain spaces
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Feb 21 2005 cwh@suse.de
- initial realease
